Show / Hide Table of Contents

# Class PartyMember

This class represents a party member in the group manager.

##### Inheritance

System.Object
PartyMember

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Party

###### Assembly: Dalamud.dll

##### Syntax

    public class PartyMember

### Properties

| Improve this Doc View Source

#### Address

Gets the address of this party member in memory.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ClassJob

Gets the classjob of this party member.

##### Declaration

    public ExcelResolver<ClassJob> ClassJob { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.ClassJob> |

| Improve this Doc View Source

#### ContentId

Gets the content ID of the party member.

##### Declaration

    public long ContentId { get; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### CurrentHP

Gets the current HP of this party member.

##### Declaration

    public uint CurrentHP { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentMP

Gets the current MP of this party member.

##### Declaration

    public ushort CurrentMP { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### GameObject

Gets the actor associated with this buddy.

##### Declaration

    public GameObject GameObject { get; }

##### Property Value

Type | Description
--- | ---
GameObject |

##### Remarks

This iterates the actor table, it should be used with care.

| Improve this Doc View Source

#### Level

Gets the level of this party member.

##### Declaration

    public byte Level { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxHP

Gets the maximum HP of this party member.

##### Declaration

    public uint MaxHP { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxMP

Gets the maximum MP of this party member.

##### Declaration

    public ushort MaxMP { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Name

Gets the displayname of this party member.

##### Declaration

    public SeString Name { get; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### ObjectId

Gets the actor ID of this party member.

##### Declaration

    public uint ObjectId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Position

Gets the position of the party member.

##### Declaration

    public Vector3 Position { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### Sex

Gets the sex of this party member.

##### Declaration

    public byte Sex { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Statuses

Gets a list of buffs or debuffs applied to this party member.

##### Declaration

    public StatusList Statuses { get; }

##### Property Value

Type | Description
--- | ---
StatusList |

| Improve this Doc View Source

#### Territory

Gets the territory this party member is located in.

##### Declaration

    public ExcelResolver<TerritoryType> Territory { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.TerritoryType> |

| Improve this Doc View Source

#### World

Gets the World this party member resides in.

##### Declaration

    public ExcelResolver<World> World { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.World> |